// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// ANOTAÇÕES DE LEITURA:

#anotacoes_de_leitura {
  article {
    header {
      @include flexbox();
      @include align-items(flex-end);
      margin-bottom: 30px;
      h1 {
        @include flex(1 0 auto);
      }
      :global(.rssIcon) {
        margin-left: 10px;
        height: 35px;
        img {
          height: inherit;
          display: block;
        }
      }
    }
    ul {
      li {
        list-style: none;
        &:not(:last-child) {
          margin-bottom: 30px;
        }
        h2 {
          font-size: $typo-big-size;
          line-height: $line-height-big-size;
          margin-bottom: 20px;
          font-weight: 700;
        }
        :global(.note),
        :global(.info) {
          font-size: $typo-normal-size;
          line-height: $line-height-normal-size;
          a {
            color: inherit;
          }
        }
        :global(.note) {
          p,
          ul,
          ol {
            margin-bottom: 20px;
          }
        }
        :global(.info) {
          padding-left: 15px;
          border-left: 2px solid $color-gray-light;
        }
      }
    }
    :global(#load-more-buton) {
      @include border-radius(5px);
      margin-top: 30px;
      background-color: $color-green;
      font-family: inherit;
      font-size: $typo-normal-size;
      line-height: $line-height-normal-size;
      color: white;
      text-decoration: none;
      padding: 5px 10px;
      border: 1px solid $color-green;
      cursor: pointer;
      &:hover {
        border: 1px solid $color-gray-dark;
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media only screen and (max-width: $medium-max-width) {
    article {
      ul {
        li {
          h2 {
            font-weight: 500;
          }
        }
      }
    }
  }
  @media only screen and (max-width: $medium-max-width) {
    article {
      header {
        display: block;
        :global(.rssIcon) {
          margin: 20px 0 0 0;
          display: block;
        }        
      }
    }
  }
}